#!/usr/bin/python
key = "20181002"
encrypted = "511B2033232841053022B0FE52ED0F7A165B52C7E75112F656FC4B"
for i in range(len(encrypted)):
    print(hex((int(encrypted[i],16)-int(key[i%len(key)])) % 16))
    if i %18 == 0:
        print("\n")
